Subject: Re: [PATCH RFC 0/2] veth, bridge, and GSO maximums

From: Stephen Hemminger <[email-masked]>
Date: Thu, 30 Nov 2017 09:11:30 -0800

On Thu, 30 Nov 2017 10:47:21 -0500 (EST)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Sun, 26 Nov 2017 10:17:47 -0800
> 
> > This pair of patchesimproves the performance when running
> > containers in an environment where underlying device has lower
> > GSO maximum (such as Azure).
> > 
> > With containers a veth pair is created and one end is attached
> > to the bridge device. The bridge device correctly reports
> > computes GSO parameters that are the minimum of the lower devices.
> > 
> > The problem is that the other end of the veth device (in container)
> > reports the full GSO size. This patch propogates the upper
> > (bridge device) parameters to the other end of the veth device.
> > 
> > Please consider it as alternative to the sysfs GSO changes.  
> 
> I like this approach a lot, please resubmit this formally.

Will do and add netif_needs_gso check as well.